//BPZWMG1F JOB <JOB PARAMETERS>
//*
//**********************************************************************
//* Licensed Materials - Property of IBM
//* 5655-W05
//* (C) COPYRIGHT International Business Machines Corp. 2007, 2009
//* US Government Users Restricted Rights - Use, duplication or disclosu
//* restricted by GSA ADP Schedule Contract with IBM Corp.
//* The source code for this program is not published or otherwise dives
//* of its trade secrets, irrespective of what has been deposited with t
//* U.S. Copyright Office.
//**********************************************************************
//*
//********************************************************************
//*                                                                  *
//* This job performs the Migration of a WebSphere Process Server    *
//* Federated Node to a V7.0 Federated Node.                         *
//*                                                                  *
//* CAUTION:                                                         *
//* This is not a complete job, modifications are required.          *
//* This job should be used in conjunction with the help             *
//* instructions documented in the member BBOMMINS.                  *
//*                                                                  *
//* This job has been generated via the WAS Customisation ISPF       *
//* Panels, Option 4 - Migration.                                    *
//*                                                                  *
//* The following change has been made to handle the WPS migration;  *
//* 1. bbomigrt2.sh has been replaced with wbimigrt2.sh.             *
//*                                                                  *
//* The following parameters will need to be amended for the users   *
//* own configuration, and correspond to the parameters entered on   *
//* the WebSphere Customisation panels.                              *
//*                                                                  *
//*     #tempdir#  temporary working directory                       *
//*                eg.  v70fn1                                       *
//*                                                                  *
//*     #wpsndir#  directory of the v7.0 WPS product                 *
//*                eg. /usr/lpp/zWPS/V7R0                            *
//*                                                                  *
//*     #wpsosvr#  home directory of the old wps server              *
//*                eg. /WebSphere/V62FN1                             *
//*                                                                  *
//*     #wassmpe#  dir of the WAS smpe install                       *
//*                eg. /usr/lpp/zWebSphere/V70P4098                  *
//*                                                                  *
//********************************************************************
//*
//***************************************************************
//*                                                             *
//* The following several steps Set-up the environment for the  *
//* mirgation shell scripts.                                    *
//*                                                             *
//* Create working directory to run migration from              *
//*                                                             *
//***************************************************************
//*
//*
//SETUP  EXEC PGM=IKJEFT01,REGION=0M
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
  BPXBATCH SH +
   if !(test -d /tmp/migrate) +
     then +
       mkdir -p /tmp/migrate; +
       chmod 777 /tmp/migrate; +
   fi; +
   if !(test -d /tmp/migrate/#tempdir#) +
     then +
      mkdir -p /tmp/migrate/#tempdir#; +
     else +
      rm -R /tmp/migrate/#tempdir#; +
      mkdir -p /tmp/migrate/#tempdir#; +
   fi; +
     cp +
     #wpsndir#+
     zos.migration/bin/wbimigrt2.sh +
     /tmp/migrate/wbimigrt2.sh; +
     chmod 777  /tmp/migrate/wbimigrt2.sh;
/*
//*
//**********************************************************************
//*
//*  Copy the Dialog Generated Variables over to a shell script that
//*  will be used to set-up the migration environment variables.
//*
//**********************************************************************
//*
//WRCONFIG EXEC PGM=IKJEFT01,COND=(4,LT)
//*
//SYSTSPRT DD SYSOUT=*
//*
//ENVVARS DD *
timestamp=#tempdir#
tempDir=/tmp/migrate
FROM_ConfigRoot=#wpsosvr#
FROM_HomeDir=/AppServer
TO_SMPEHome=#wassmpe#
TraceState=disabled
migType=PRR
/*
//*
//HFSOUTL  DD PATH='/tmp/migrate/#tempdir#/_',
//            PATHOPTS=(OWRONLY,OCREAT,OTRUNC),
//            PATHMODE=(SIRWXU,SIRWXG)
//*
//SYSPRINT DD SYSOUT=*
//SYSTSIN  DD DATA
ocopy indd(ENVVARS) outdd(HFSOUTL)
/*
//*
//*
//***************************************************************
//*
//* Generate a configuration that can be imported into
//* the migration scripts environment.
//*
//***************************************************************
//*
//MKCONFIG EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LT)
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
  BPXBATCH SH +
  /tmp/migrate/wbimigrt2.sh mkconfig +
     /tmp/migrate/#tempdir#/_ +
   1> /tmp/migrate/#tempdir#/BPZWMG1F.out +
   2> /tmp/migrate/#tempdir#/BPZWMG1F.err;
/*
//*
//***************************************************************
//*
//* Pre-Migrate  - Set PRR Procssing Mode
//*
//***************************************************************
//*
//*
//SETPRR  EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LT)
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 BPXBATCH SH +
  /tmp/migrate/wbimigrt2.sh preMigrate +
     /tmp/migrate/#tempdir#/_ +
   1>> /tmp/migrate/#tempdir#/BPZWMG1F.out +
   2>> /tmp/migrate/#tempdir#/BPZWMG1F.err;
/*
//*
//*
//WROUT EXEC PGM=IKJEFT01
//SYSTSPRT DD SYSOUT=*
//JESOUT   DD SYSOUT=*,RECFM=V,LRECL=256
//*
//LOGFILE  DD PATH='/tmp/migrate/#tempdir#/BPZWMG1F.out',
//           PATHOPTS=(ORDONLY)
//*
//SYSPRINT DD SYSOUT=*
//SYSTSIN  DD DATA
ocopy indd(LOGFILE) outdd(JESOUT)
/*
//*
//WRERR EXEC PGM=IKJEFT01
//SYSTSPRT DD SYSOUT=*
//JESOUT   DD SYSOUT=*,RECFM=V,LRECL=256
//*
//LOGFILE  DD PATH='/tmp/migrate/#tempdir#/BPZWMG1F.err',
//           PATHOPTS=(ORDONLY)
//*
//SYSPRINT DD SYSOUT=*
//SYSTSIN  DD DATA
ocopy indd(LOGFILE) outdd(JESOUT)
/*
//*
